GMX-GENCONF(1)

NAME
gmx-genconf - Multiply a conformation in 'random' orientations

SYNOPSIS

gmx genconf [-f [<.gro/.g96/...>]] [-trj [<.xtc/.trr/...>]]
            [-o [<.gro/.g96/...>]] [-nbox <vector>] [-dist <vector>]
            [-seed <int>] [-[no]rot] [-maxrot <vector>]
            [-[no]renumber]

DESCRIPTION

gmx genconf multiplies a given coordinate file by simply stacking them on top of each other, like a small child playing with wooden blocks. The program makes a grid of user-defined proportions (-nbox), and interspaces the grid point with an extra space -dist.

When option -rot is used the program does not check for overlap between molecules on grid points. It is recommended to make the box in the input file at least as big as the coordinates + van der Waals radius.

If the optional trajectory file is given, conformations are not generated, but read from this file and translated appropriately to build the grid.

OPTIONS

Options to specify input files:

-f [<.gro/.g96/…>] (conf.gro)
    Structure file: gro g96 pdb brk ent esp tpr

-trj [<.xtc/.trr/…>] (traj.xtc) (Optional)
    Trajectory: xtc trr cpt gro g96 pdb tng

    Options to specify output files:

-o [<.gro/.g96/…>] (out.gro)
    Structure file: gro g96 pdb brk ent esp

    Other options:

-nbox <vector> (1 1 1)
    Number of boxes

-dist <vector> (0 0 0)
    Distance between boxes

-seed <int> (0)
    Random generator seed (0 means generate)

-[no]rot (no)
    Randomly rotate conformations

-maxrot <vector> (180 180 180)
    Maximum random rotation

-[no]renumber (yes)
    Renumber residues

KNOWN ISSUES

•   The program should allow for random displacement of lattice points.

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team